plugins {
    id 'java-library'
    id 'net.neoforged.moddev' version '2.0.141'
}

version = mod_version
group = mod_group_id

repositories {
    mavenCentral()
}

dependencies {
}

neoForge {
    version = neo_version

    runs {
        server {
            server()
        }
    }

    mods {
        "${mod_id}" {
            sourceSet sourceSets.main
        }
    }
}

tasks.withType(JavaCompile).configureEach {
    options.encoding = 'UTF-8'
    options.release.set(21)
}
